### Function

# Gimp fonts_get_by_name

unstable since: 3.0

#### Declaration [src]

    GimpFont**
    gimp_fonts_get_by_name (
      const gchar* name,
      gint* num_fonts
    )

#### Description [src]

Returns the fonts with the given name.

Returns the fonts with the given name. There may be more than one.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the font.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`num_fonts`

  Type: `gint*`

  The number of fonts with the given name.

  The argument will be set by the function.

#### Return value

Type: An array of `GimpFont*`

         The fonts with the given name.
         The returned value must be freed with g_free().

The length of the array is in the `num_fonts` argument.
The caller of the function takes ownership of the data container, but not the data inside it.